package com.cool.bang.modules.business.domain;

import com.cool.bang.common.base.BaseDomain;
import com.cool.bang.common.constant.enums.StatusType;

/**
 * 管家服务
 *
 * @author Sy
 * 2024-11-13 17:25
 */
public class JobButler extends BaseDomain {

    private static final long serialVersionUID = 1L;

    private Integer id;

    /**
     * 类型 1保洁清洗 2家电报修 3家具修装 4搬家拉货
     */
    private Integer type;

    /**
     * 联系姓名
     */
    private String name;

    /**
     * 电话
     */
    private String phone;

    /**
     * 图片地址
     */
    private String path;

    /**
     * 删除标识 0 删除 1 正常
     */
    private Integer delFlag;

    @Override
    public void insertConfigure() {
        super.insertConfigure();
        this.delFlag = StatusType.ENABLE.ordinal();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
